#!/bin/bash
#
# Create a terminal with a font that mostly fills the width of the screen.

width=$(echo $(xdpyinfo | grep dimensions:) | cut -d' ' -f2 | cut -dx -f1)

if [ -z "$width" ] ; then
  width=1024
fi

if [ $width -ge 1920 ] ; then
  fontsize=24
elif [ $width -ge 1440 ] ; then
  fontsize=21
elif [ $width -ge 1280 ] ; then
  fontsize=18
elif [ $width -ge 1024 ] ; then
  fontsize=14
elif [ $width -ge 800 ] ; then
  fontsize=11
elif [ $width -ge 640 ] ; then
  fontsize=8
fi

xterm -fa 'DejaVu Sans Mono' -fs $fontsize
