#!/bin/sh
#$1 is the first argument to the script. It is the time in seconds since 1970
#This is defined in mythwelcome and mythbackend with the time_t argument.

# Configure mythwelcome --setup page:
# Command to Set Wakeup Time:     sudo sh -c "/usr/LH/bin/mythwelcome-set-alarm.sh $time"
# Wakeup Time Format:             time_t
# nvram-wakeup Restart Command:   Leave this blank
# Command to reboot:              sudo /sbin/reboot
# Command to shutdown:            sudo /sbin/poweroff
# Command to run Xterm:           xterm
# Command to start the Frontend:  /usr/bin/mythfrontend -l /var/log/mythtv/mythfrontend.log

# Configure mythtv-setup Shutdown/Wakeup Options page:
# Idletimeout (secs):             any value greater that 0
# Wakeup time format:             yyyy-MM-ddThh:mm:ss
# Set wakeup time command:        /usr/bin/mythshutdown --setwakeup $time
# Server Halt command:            /usr/bin/mythshutdown --shutdown
# Pre shutdown check command:     /usr/bin/mythshutdown --check

echo 0 > /sys/class/rtc/rtc0/wakealarm      #this clears your alarm
echo $1 > /sys/class/rtc/rtc0/wakealarm     #this writes your alarm
cat /proc/driver/rtc > /var/log/wake_alarm
