#!/bin/sh

sudo sh -c "echo 0 > /sys/class/rtc/rtc0/wakealarm"      #this clears your alarm
sudo sh -c "echo `date '+%s' -d '+ 4 minutes'` > /sys/class/rtc/rtc0/wakealarm"     #this writes your alarm 
cat /proc/driver/rtc
cat /proc/driver/rtc > /var/log/wake_alarm
echo "Your computer is set to start up in 4 minutes using ACPI."
echo -n "Do you want to shutdown the computer now? (y/n): "
read -n 1 shutdown
if [ "$shutdown" == "y" ]; then
    echo -e "\nShutting down now..."
    sudo shutdown -t 5 -h now
else
    echo -e "\nTo shutdown execute the following:"
    echo "      sudo shutdown -t 5 -h now"
fi
